{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Creates a new section in a project.\nReturns the full record of the newly created section.","properties":{"path":{"type":"object","properties":{"project_gid":{"type":"string","examples":["1331"],"description":"Globally unique identifier for the project."}},"required":["project_gid"],"additionalProperties":false},"query":{"type":"object","properties":{"opt_pretty":{"type":"boolean","examples":[true],"description":"Provides “pretty” output.\nProvides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."},"opt_fields":{"type":"array","items":{"type":"string","enum":["created_at","name","project","project.name","project.resource_subtype","projects","projects.name","projects.resource_subtype"]},"examples":[["created_at","name","project","project.name","project.resource_subtype","projects","projects.name","projects.resource_subtype"]],"description":"This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the [input/output options guide](/docs/inputoutput-options#selecting-nested-fields)."}},"required":[],"additionalProperties":false},"body":{"type":"object","properties":{"data":{"$ref":"#/definitions/SectionRequest"}}}},"required":["path"],"additionalProperties":false,"definitions":{"SectionRequest":{"type":"object","properties":{"name":{"description":"The text to be displayed as the section name. This cannot be an empty string.","type":"string","examples":["Next Actions"]},"insert_before":{"description":"An existing section within this project before which the added section should be inserted. Cannot be provided together with insert_after.","type":"string","examples":["86420"]},"insert_after":{"description":"An existing section within this project after which the added section should be inserted. Cannot be provided together with insert_before.","type":"string","examples":["987654"]}},"required":["name"]}}},"name":"Create a section in a project","id":"asana.createsectionforproject","example":{"path":{"project_gid":"1331"}},"maxRequests":1,"summary":false}}